Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label

## Class LabelContentViewer

- java.lang.Object
- - org.eclipse.jface.viewers.Viewer
  - - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label.LabelContentViewer

All Implemented Interfaces:
  `org.eclipse.compare.IPropertyChangeNotifier`, `CommandStackListener`, `org.eclipse.jface.viewers.IInputProvider`, `org.eclipse.jface.viewers.IInputSelectionProvider`, `org.eclipse.jface.viewers.ISelectionProvider`

Direct Known Subclasses:
  `NoDifferencesContentViewer`, `NoSelectedItemContentViewer`, `NoVisibleItemContentViewer`, `OnlyPseudoConflictsContentViewer`, `WaitContentViewer`

    public class LabelContentViewer
    extends org.eclipse.jface.viewers.Viewer
    implements org.eclipse.compare.IPropertyChangeNotifier, CommandStackListener

A dummy viewer that displays a single label.

### Field Summary

### Fields inherited from class org.eclipse.jface.viewers.Viewer

`WIDGET_DATA_KEY`

### Constructor Summary

Constructors
`LabelContentViewer​(org.eclipse.swt.widgets.Composite parent, String title, String message, EMFCompareConfiguration configuration)` Creates a new viewer and its controls.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPropertyChangeListener​(org.eclipse.jface.util.IPropertyChangeListener listener)`
`void` `commandStackChanged​(EventObject event)`
`void` `editingDomainChange​(ICompareEditingDomain oldValue, ICompareEditingDomain newValue)`
`void` `editingDomainChange​(ICompareEditingDomainChange event)`
`org.eclipse.swt.widgets.Control` `getControl()`
`Object` `getInput()`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`protected void` `handleDisposed()`
`void` `refresh()`
`void` `removePropertyChangeListener​(org.eclipse.jface.util.IPropertyChangeListener listener)`
`protected void` `setDirty​(boolean dirty)`
`void` `setInput​(Object input)`
`void` `setSelection​(org.eclipse.jface.viewers.ISelection selection, boolean reveal)`

### Methods inherited from class org.eclipse.jface.viewers.Viewer

`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, inputChanged, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LabelContentViewer

    public LabelContentViewer​(org.eclipse.swt.widgets.Composite parent,
                              String title,
                              String message,
                              EMFCompareConfiguration configuration)

Creates a new viewer and its controls.

Parameters:
  `parent` - the parent of the `control` of this viewer.

### Method Detail

#### setSelection

    public void setSelection​(org.eclipse.jface.viewers.ISelection selection,
                             boolean reveal)

Specified by:
  `setSelection` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  `Viewer.setSelection(org.eclipse.jface.viewers.ISelection, boolean)`

#### setInput

    public void setInput​(Object input)

Specified by:
  `setInput` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  `Viewer.setInput(java.lang.Object)`

#### refresh

    public void refresh()

Specified by:
  `refresh` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  `Viewer.refresh()`

#### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

Specified by:
  `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
Specified by:
  `getSelection` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  `Viewer.getSelection()`

#### getInput

    public Object getInput()

Specified by:
  `getInput` in interface `org.eclipse.jface.viewers.IInputProvider`
Specified by:
  `getInput` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  `Viewer.getInput()`

#### getControl

    public org.eclipse.swt.widgets.Control getControl()

Specified by:
  `getControl` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  `Viewer.getControl()`

#### addPropertyChangeListener

    public void addPropertyChangeListener​(org.eclipse.jface.util.IPropertyChangeListener listener)

Specified by:
  `addPropertyChangeListener` in interface `org.eclipse.compare.IPropertyChangeNotifier`

#### removePropertyChangeListener

    public void removePropertyChangeListener​(org.eclipse.jface.util.IPropertyChangeListener listener)

Specified by:
  `removePropertyChangeListener` in interface `org.eclipse.compare.IPropertyChangeNotifier`

#### editingDomainChange

    public void editingDomainChange​(ICompareEditingDomainChange event)

Parameters:
  `oldValue` -
  `newValue` -

#### editingDomainChange

    public void editingDomainChange​(ICompareEditingDomain oldValue,
                                    ICompareEditingDomain newValue)

#### setDirty

    protected void setDirty​(boolean dirty)

#### commandStackChanged

    public void commandStackChanged​(EventObject event)

Specified by:
  `commandStackChanged` in interface `CommandStackListener`

#### handleDisposed

    protected void handleDisposed()